package de.ugoe.cs.util.console.mock;

import java.util.logging.Level;

import de.ugoe.cs.util.console.listener.ITraceListener;

public class MockTraceListener implements ITraceListener {
	private String lastTrace = null;
	private Level lastLevel = null;
	public String getLastTrace() {
		return lastTrace;
	}
	
	public Level getLastLevel() {
	    return lastLevel;
	}
	
	@Override
	public void traceMsg(String traceMessage, Level level) {
		lastTrace = traceMessage;
		lastLevel = level;
	}
}